Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 38774

Summary: iputils-021109-r1 dependancies incorrect (fails on ~x86 emerge system)
Product: Gentoo Linux Reporter: Chris Irwin <chris>
Component: New packagesAssignee: Joshua Kinard <kumba>
Status: RESOLVED FIXED    
Severity: normal CC: bakirov, jpalko, vapier
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://forums.gentoo.org/viewtopic.php?p=768798#768798
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 42135    
Bug Blocks:    

Description Chris Irwin 2004-01-19 20:25:17 UTC
iputils-021109-r1 fails to emerge during `emerge system` using ACCEPT_KEYWORDS="~x86". According to nichao in the forums [1], iputils needs autoconf, openssl and flex, but they are not listed as dependancies.

`emerge autoconf flex; emerge system` fixed the issue.
(note: I already had openssl, assumingly from earlier in the process).

Stable iputils doesnt seem to need flex or autoconf to merge.

Reproducible: Always
Steps to Reproduce:
1. bootstrap
2. emerge system (using ACCEPT_KEYWORDS="~x86")
3. wait until iputils comes up

Actual Results:  
iputils failed to emerge

Expected Results:  
compiles and installs successfully

Unfortunately I cannot get `emerge info` from the system in question at the
moment. Will post that when I get that system going.

Also of note is that I am using the bootstrap-2.6.sh with 2.6.0 linux-headers,
and nptl, using the latest experimental stage1 tarball
(stage1-x86-20040117.tar.bz2).
Comment 1 Chris Irwin 2004-01-19 20:30:02 UTC
[1] : http://forums.gentoo.org/posting.php?mode=quote&p=768798

forgot the link to the forums
Comment 2 Andrew Gaffney (RETIRED) gentoo-dev 2004-02-03 09:49:29 UTC
I can confirm this problem and that the workaround fixes that particular problem. Although, I still can't get it to build:

<snip>
checking for advanced API support... yes
checking getaddrinfo bug... good
checking for getaddrinfo... yes
checking for getnameinfo... yes
checking if --with-ssleay option is specified... default
checking for crypto containing CAST_cfb64_encrypt... no

Fatal: crypto library and headers not found.
Specify proper directory by using --with-ssleay.
Visit ftp://psych.psy.uq.oz.au/pub/Crypto/SSL/, or visit
http://www.openssl.org/

!!! ERROR: net-misc/iputils-021109-r1 failed.
!!! Function econf, Line 368, Exitcode 1
!!! econf failed

Emerging openssl seems to take care of this problem. That's one more dep that needs to be added. BTW, my problems are all on a system that I've bootstrapped with the scripts/bootstrap-2.6.sh script and linux-headers-2.6.0. The problems show up while emerging iputils-021109-r1 during the 'emerge system' phase.
Comment 3 Jukka Palko 2004-02-15 22:02:41 UTC
Tried to do the bootstrap-2.6.sh => ~x86 emerge system and I get stuck with this:

--snip--
>>> emerge (56 of 89) net-misc/iputils-021109-r1 to /
>>> md5 src_uri ;-) iputils-ss021109-try.tar.bz2
>>> Unpacking source...
>>> Unpacking iputils-ss021109-try.tar.bz2 to /portage/tmp/portage/iputils-021109-r1/work
ipv6
>>> Source unpacked.
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o ipsec_dump_policy.o ipsec_dump_policy.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o key_debug.o key_debug.c
yacc -d -p __libyy policy_parse.y
mv y.tab.c policy_parse.c
mv y.tab.h policy_parse.h
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o ipsec_get_policylen.o ipsec_get_policylen.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o pfkey.o pfkey.c
lex -P__libyy policy_token.l
mv lex.__libyy.c policy_token.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o ipsec_strerror.o ipsec_strerror.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o pfkey_dump.o pfkey_dump.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o policy_parse.o policy_parse.c
y.tab.c: In function `__libyyparse':
y.tab.c:564: warning: label `yyerrlab' defined but not used
y.tab.c: At top level:
policy_parse.c:3: warning: `yyrcsid' defined but not used
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o policy_token.o policy_token.c
ar rcs libipsec.a ipsec_dump_policy.o    key_debug.o   policy_parse.o ipsec_get_policylen.o  pfkey.o       policy_token.o ipsec_strerror.o       pfkey_dump.o
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o setkey.o setkey.c
bison -d parse.y -o parse.c
bison -d parse.y -o parse.c
lex  -t token.l > token.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o pfkey.o pfkey.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o pfkey_dump.o pfkey_dump.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o key_debug.o key_debug.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o ipsec_strerror.o ipsec_strerror.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o parse.o parse.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o token.o token.c
parse.y: In function `setkeymsg':
parse.y:635: warning: dereferencing type-punned pointer will break strict-aliasing rules
parse.y:651: warning: dereferencing type-punned pointer will break strict-aliasing rules
gcc -o setkey setkey.o parse.o token.o pfkey.o pfkey_dump.o key_debug.o ipsec_strerror.o -L../libipsec -lipsec -lfl
rm token.c
configure.in:1: error: possibly undefined macro: dnl
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:138: error: do not use LIBOBJS directly, use AC_LIBOBJ (see section `AC_LIBOBJ vs LIBOBJS'

!!! ERROR: net-misc/iputils-021109-r1 failed.
!!! Function src_compile, Line 52, Exitcode 1
!!! (no error message)
--snip--

I have emerged flex, openssl and autoconf already, and it didn
Comment 4 Jukka Palko 2004-02-15 22:02:41 UTC
Tried to do the bootstrap-2.6.sh => ~x86 emerge system and I get stuck with this:

--snip--
>>> emerge (56 of 89) net-misc/iputils-021109-r1 to /
>>> md5 src_uri ;-) iputils-ss021109-try.tar.bz2
>>> Unpacking source...
>>> Unpacking iputils-ss021109-try.tar.bz2 to /portage/tmp/portage/iputils-021109-r1/work
ipv6
>>> Source unpacked.
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o ipsec_dump_policy.o ipsec_dump_policy.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o key_debug.o key_debug.c
yacc -d -p __libyy policy_parse.y
mv y.tab.c policy_parse.c
mv y.tab.h policy_parse.h
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o ipsec_get_policylen.o ipsec_get_policylen.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o pfkey.o pfkey.c
lex -P__libyy policy_token.l
mv lex.__libyy.c policy_token.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o ipsec_strerror.o ipsec_strerror.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o pfkey_dump.o pfkey_dump.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o policy_parse.o policy_parse.c
y.tab.c: In function `__libyyparse':
y.tab.c:564: warning: label `yyerrlab' defined but not used
y.tab.c: At top level:
policy_parse.c:3: warning: `yyrcsid' defined but not used
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DIPSEC -DINET6 -Wall   -c -o policy_token.o policy_token.c
ar rcs libipsec.a ipsec_dump_policy.o    key_debug.o   policy_parse.o ipsec_get_policylen.o  pfkey.o       policy_token.o ipsec_strerror.o       pfkey_dump.o
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o setkey.o setkey.c
bison -d parse.y -o parse.c
bison -d parse.y -o parse.c
lex  -t token.l > token.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o pfkey.o pfkey.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o pfkey_dump.o pfkey_dump.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o key_debug.o key_debug.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o ipsec_strerror.o ipsec_strerror.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o parse.o parse.c
gcc -mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe -include ../include-glibc/glibc-bugs.h -I../libipsec -I../include-glibc -I/usr/include -DIPSEC_DEBUG -DINET6 -DYY_NO_UNPUT -I. -Wall   -c -o token.o token.c
parse.y: In function `setkeymsg':
parse.y:635: warning: dereferencing type-punned pointer will break strict-aliasing rules
parse.y:651: warning: dereferencing type-punned pointer will break strict-aliasing rules
gcc -o setkey setkey.o parse.o token.o pfkey.o pfkey_dump.o key_debug.o ipsec_strerror.o -L../libipsec -lipsec -lfl
rm token.c
configure.in:1: error: possibly undefined macro: dnl
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:138: error: do not use LIBOBJS directly, use AC_LIBOBJ (see section `AC_LIBOBJ vs LIBOBJS'

!!! ERROR: net-misc/iputils-021109-r1 failed.
!!! Function src_compile, Line 52, Exitcode 1
!!! (no error message)
--snip--

I have emerged flex, openssl and autoconf already, and it didn├Ąt seem to help me...

emerge info output:
--snap--
Portage 2.0.50-r1 (default-x86-1.4, gcc-3.3.2, glibc-2.3.3_pre20040207-r0, 2.4.21-gss)
=================================================================
System uname: 2.4.21-gss i686 AMD Athlon(tm) XP 2400+
Gentoo Base System version 1.4.3.13
Autoconf: sys-devel/autoconf-2.59
Automake: sys-devel/automake-1.8.2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe"
CHOST="i686-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-mcpu=athlon-xp -march=athlon-xp -msse -mmmx -m3dnow -O2 -fomit-frame-pointer -frerun-loop-opt -pipe"
DISTDIR="/portage/distfiles"
FEATURES="autoaddcvs ccache sandbox"
GENTOO_MIRRORS="ftp://trumpetti.atm.tut.fi/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/portage/packages"
PORTAGE_TMPDIR="/portage/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="3dnow X Xaw3d alsa apm avi berkdb crypt cups doc dvd dvdr encode foomaticdb gdbm gif gnome gnutls gpm gtk gtk2 imap imlib ipv6 joystick jpeg kde kerberos libg++ libwww mad maildir mbox mikmod mmx motif mozcalendar mpeg ncurses nls nptl oggvorbis opengl oss pam pdflib perl png python qt quicktime readline sasl sdl slang spell sse ssl svga tcpd tiff truetype vim-with-x x86 xml2 xmms xv zlib"
--snap--
Comment 5 Jukka Palko 2004-02-16 07:42:12 UTC
Must have messed up something on my last attempt, went onward okay with emerge system on a retry after merging flex and autoconf.
Comment 6 Pieter Van den Abeele (RETIRED) gentoo-dev 2004-03-21 17:25:49 UTC
parse.y: In function `setkeymsg':
parse.y:635: warning: dereferencing type-punned pointer will break strict-aliasing rules
parse.y:651: warning: dereferencing type-punned pointer will break strict-aliasing rules
gcc -o setkey setkey.o parse.o token.o pfkey.o pfkey_dump.o key_debug.o ipsec_strerror.o -L../libipsec -lipsec -lfl
/usr/lib/gcc-lib/powerpc-unknown-linux-gnu/3.3.3/../../../../powerpc-unknown-linux-gnu/bin/ld: cannot find -lfl
collect2: ld returned 1 exit status
make: *** [setkey] Error 1
rm token.c

!!! ERROR: net-misc/iputils-021109-r1 failed.
!!! Function src_compile, Line 48, Exitcode 2
!!! (no error message)

Happened while compiling a stage3. Apparently iputils didn't pull in flex?
Comment 7 SpanKY gentoo-dev 2004-04-06 23:33:59 UTC
-r2 should fix all this